phing-tasks-system

# Class: PhingReference Source Location: /tasks/system/PhingTask.php
### Class Overview
    Reference
       |
       --PhingReference
Helper class that implements the nested <reference> element of <phing> and <phingcall>. | ### Methods getToRefid setToRefid
### Inherited Variables #### Class: Reference Reference::$refid | ### Inherited Methods #### Class: Reference Reference::__construct() Reference::getReferencedObject() returns reference to object in references container of project Reference::getRefId() Reference::setRefId()
### Class Details [line 602] Helper class that implements the nested <reference> element of <phing> and <phingcall>. [ Top ] ### Class Methods ### method getToRefid [line 622]
`the getToRefid( )`
Get the id under which this reference will be stored in the new project #### Tags:
return: | id of the reference in the new project.
access: | public
[ Top ] ### method setToRefid [line 612]
`void setToRefid( targetid $targetid)`
Set the id that this reference to be stored under in the new project. #### Tags:
access: | public
#### Parameters:
targetid | $targetid | the id under which this reference will be passed to the new project
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:35 +0200 by phpDocumentor 1.4.3